$(function () {
    $("#selector").change(function () {
        $.ajax({
            type: "GET",
            url: "position",
            data: "name=" + $("#selector").val(),
            dataType: "xml",
            success: function (data) {
                $(".i0").text($(data).find("position").attr("name"));
                $(".i1").text($(data).find("lat").text());
                $(".i2").text($(data).find("lon").text());
                $(".i3").text($(data).find("heading").text());
                $(".i4").text($(data).find("altitude").text());
                $(".i5").text($(data).find("speed").text());
                $(".i6").text($(data).find("pitch").text());
                $(".i7").text($(data).find("bank").text());
                $(".i8").text($(data).find("verticalSpeed").text());
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {
                alert("error:" + textStatus + ":" + errorThrown);
            }
        });
    });

    if ($("#selector option").size() > 0) {
        $("#selector").val($("#selector option:first").val());
        $("#selector").change();
    }

    $("#query").keydown(function () {
        $("#startpoints").empty();
        $("#icao").val("");
    });

    $("#query").autocomplete({
        minLength: 2,
        source: function (request, response) {
            $.ajax({
                type: "GET",
                url: "query",
                data: "q=" + request.term,
                success: function (data) {
           			data = $($.parseXML(data));
                    response($(data).find("ap").map(function (index, item) {
                        return {
                            value: $(item).attr('icao'),
                            label: '[' + $(item).attr('icao') + '] ' + $(item).text()
                        }
                    }
                    ));
                }
            });
        },
        select: function (event, ui) {
            if (ui.item.value.length > 0) {
                var icao = ui.item.value;
                $("#icao").val(icao);
                $.ajax({
                    type: "GET",
                    url: "field",
                    data: "q=" + icao,
                    dataType: "xml",
                    success: function (data) {
                        $("#startpoints").empty();
                        $(data).find("position").each(function (i) {
                            var name = $(this).attr("name");
                            var key = $(this).find("key").text();
                            $("#startpoints").append($("<option></option>").attr("value", key).text(name));
                        });
                        $("#startpoints").change();
                    }
                });
            }

        }
    });

    $("#startpoints").change(function () {
        if ($("#startpoints").val() <= 1023)
            $("#runwaymod").show();
        else
            $("#runwaymod").hide();
    }
     );

    $("#translation").change(function () {
        $.ajax({
            url: "translation",
            type: "GET",
            cache: false,
            dataType: "xml",
            data: ({ "q": $("#translation").val() }),
            success: function (data) {
                $("#trname").val($(data).find("name").text());
                $("#trspeed").val($(data).find("speed").text());
                $("#trclimb").val($(data).find("climb").text());
                $("#trpitch").val($(data).find("pitch").text());
                $("#trrotate").val($(data).find("rotate").text());
                $("#trleft").val($(data).find("left").text());
                $("#trright").val($(data).find("right").text());
                $("#trbackward").val($(data).find("backward").text());
                $("#trforward").val($(data).find("forward").text());
            }

        });

    });
    $("#translation").change();


    $("#runwaymod").hide();

    $("button").click(function () {
        $("#action").val($(this).attr('name'));

        $.ajax({
            type: "GET",
            cache: false,
            data: $("form").serialize()
        });
    });

});